elm::layout Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::layout Struct Reference

Class layout. More...

## Public Member Functions
| layout (Eo *eo)
| Eo Constructor. More...
| layout (std::nullptr_t)
| nullptr_t Constructor. More...
| layout (layout const &other)
| Copy Constructor.
bool | box_remove_all (::efl::eina::string_view part_, bool clear_) const
bool | part_cursor_engine_only_set (::efl::eina::string_view part_name_, bool engine_only_) const
bool | part_cursor_engine_only_get (::efl::eina::string_view part_name_) const
::evas::object | table_unpack (::efl::eina::string_view part_,::evas::object child_) const
::evas::object | box_remove (::efl::eina::string_view part_,::evas::object child_) const
void | sizing_restricted_eval (bool width_, bool height_) const
bool | part_cursor_style_set (::efl::eina::string_view part_name_,::efl::eina::string_view style_) const
::efl::eina::string_view | part_cursor_style_get (::efl::eina::string_view part_name_) const
bool | text_set (::efl::eina::optional< ::efl::eina::string_view > part_,::efl::eina::optional< ::efl::eina::string_view > text_) const
::efl::eina::string_view | text_get (::efl::eina::string_view part_) const
template<typename F_func_ >
void | signal_callback_add (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
bool | part_cursor_set (::efl::eina::string_view part_name_,::efl::eina::string_view cursor_) const
::efl::eina::string_view | part_cursor_get (::efl::eina::string_view part_name_) const
bool | box_insert_before (::efl::eina::string_view part_,::evas::object child_,::evas::object reference_) const
bool | box_insert_at (::efl::eina::string_view part_,::evas::object child_, unsigned int pos_) const
::efl::eina::string_view | data_get (::efl::eina::string_view key_) const
bool | box_append (::efl::eina::string_view part_,::evas::object child_) const
void * | signal_callback_del (::efl::eina::string_view emission_,::efl::eina::string_view source_, Edje_Signal_Cb func_) const
bool | box_prepend (::efl::eina::string_view part_,::evas::object child_) const
void | signal_emit (::efl::eina::string_view emission_,::efl::eina::string_view source_) const
bool | table_pack (::efl::eina::string_view part_,::evas::object child_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
bool | part_cursor_unset (::efl::eina::string_view part_name_) const
bool | table_clear (::efl::eina::string_view part_, bool clear_) const
| layout (::efl::eo::parent_type _p)
| Constructs a new elm::layout object. More...

## Detailed Description

Class layout.

## Constructor & Destructor Documentation

elm::layout::layout | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::layout object.

Constructs a new elm::layout object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::layout my_layout(efl::eo::parent = parent_object);

See also
  layout(Eo* eo)

elm::layout::layout | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::layout::layout | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool elm::layout::box_append | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

bool elm::layout::box_insert_at | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | unsigned int | pos_
| ) |  | const

Parameters

  part |
  child |
  pos |

bool elm::layout::box_insert_before | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | ::evas::object | reference_
| ) |  | const

Parameters

  part |
  child |
  reference |

bool elm::layout::box_prepend | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

::evas::object elm::layout::box_remove | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

bool elm::layout::box_remove_all | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Parameters

  part |
  clear |

::efl::eina::string_view elm::layout::data_get | ( | ::efl::eina::string_view | key_ | ) | const

Parameters

  key |

bool elm::layout::part_cursor_engine_only_get | ( | ::efl::eina::string_view | part_name_ | ) | const

Parameters

  part_name |

bool elm::layout::part_cursor_engine_only_set | ( | ::efl::eina::string_view | part_name_,
|  | bool | engine_only_
| ) |  | const

Parameters

  part_name |
  engine_only |

::efl::eina::string_view elm::layout::part_cursor_get | ( | ::efl::eina::string_view | part_name_ | ) | const

Parameters

  part_name |

bool elm::layout::part_cursor_set | ( | ::efl::eina::string_view | part_name_,
|  | ::efl::eina::string_view | cursor_
| ) |  | const

Parameters

  part_name |
  cursor |

::efl::eina::string_view elm::layout::part_cursor_style_get | ( | ::efl::eina::string_view | part_name_ | ) | const

Parameters

  part_name |

bool elm::layout::part_cursor_style_set | ( | ::efl::eina::string_view | part_name_,
|  | ::efl::eina::string_view | style_
| ) |  | const

Parameters

  part_name |
  style |

bool elm::layout::part_cursor_unset | ( | ::efl::eina::string_view | part_name_ | ) | const

Parameters

  part_name |

template<typename F_func_ >

void elm::layout::signal_callback_add | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Parameters

  emission |
  source |
  func |
  data |

void* elm::layout::signal_callback_del | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | Edje_Signal_Cb | func_
| ) |  | const

Parameters

  emission |
  source |
  func |

void elm::layout::signal_emit | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_
| ) |  | const

Parameters

  emission |
  source |

void elm::layout::sizing_restricted_eval | ( | bool | width_,
|  | bool | height_
| ) |  | const

Parameters

  width |
  height |

bool elm::layout::table_clear | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Parameters

  part |
  clear |

bool elm::layout::table_pack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | unsigned short | col_,
|  | unsigned short | row_,
|  | unsigned short | colspan_,
|  | unsigned short | rowspan_
| ) |  | const

Parameters

  part |
  child |
  col |
  row |
  colspan |
  rowspan |

::evas::object elm::layout::table_unpack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Parameters

  part |
  child |

::efl::eina::string_view elm::layout::text_get | ( | ::efl::eina::string_view | part_ | ) | const

Parameters

  part |

bool elm::layout::text_set | ( | ::efl::eina::optional< ::efl::eina::string_view > | part_,
|  | ::efl::eina::optional< ::efl::eina::string_view > | text_
| ) |  | const

Parameters

  part |
  text |